<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('equip_works', function (Blueprint $table) {
            $table
                ->text('notes')
                ->nullable()
                ->after('total');
            $table
                ->timestamp('deleted_at')
                ->nullable()
                ->after('created_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('equip_works', function (Blueprint $table) {
            $table->dropColumn('notes');
            $table->dropColumn('deleted_at');
        });
    }
};
